@import '../abstracts/mixins';
@import '../abstracts/variables';

.editor {
	width: 100%;
	padding-top: 80px;
	padding-bottom: 88px;

	@media (min-width: $bp-medium) {
		padding-top: 93px;
		padding-bottom: 98px;
	}

	@media (min-width: $bp-large) {
		padding-top: 66px;
		padding-bottom: 70px;
	}
}

.editor__wrapper {
	text-align: center;
}

.editor__title {
	@include font (26px, 28px, #635C73, 700);
	text-transform: uppercase;
	margin-bottom: 22px;

	@media (min-width: $bp-medium) {
		font-size: 42px;
		line-height: 1em;
		margin-bottom: 15px;
	}

	@media (min-width: $bp-large) {
		font-size: 54px;
		margin-bottom: 27px;
	}
}

.editor__description {
	display: inline-block;
	font-family: $font-lato;
	@include font (14px, 20px, #323232);
	margin-bottom: 29px;
	max-width: 861px;

	@media (min-width: $bp-medium) {
		font-size: 21px;
		line-height: 32px;
		margin-bottom: 36px;
	}

	@media (min-width: $bp-large) {
		margin-bottom: 21px;
	}
}

.editor__btn-wrapper {
	@include flex;
	flex-wrap: wrap;
	row-gap: 20px;
	column-gap: 9px;
	max-width: 300px;
	margin: 0 auto;

	@media (min-width: $bp-medium) {
		max-width: initial;
	}
}

.editor__btn {
	@include flex;
	@include font (11px, 16px, #323232, 700);
	background: linear-gradient(180deg, rgba(246,246,246,1) 24%, rgba(233,233,233,1) 73%, rgba(228,228,228,1) 100%);
	border: 1px solid rgba(203, 203, 203, 0.8);
	border-radius: 3px;
	user-select: none;

	svg {
		margin-left: 10px;
		margin-right: 4px;
	}
}

.editor__btn-quantity {
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
	border-left: 1px solid rgba(203, 203, 203, 0.8);
	background: $white-color;
	padding: 4px 8px;
	margin-left: 8px;
}